return function(B, H)
return {
	[B.M.next_finish] = 'ctrl+right',
	[B.M.prev_start] = 'ctrl+left',
	[B.M.forward_down] = 'meta+right',
	[B.M.backward_up] = 'meta+left',
	[B.M.forward_up] = 'meta+up',
	[B.M.backward_down] = 'meta+down',
	[B.M.para_down] = 'ctrl+down',
	[B.M.para_up] = 'ctrl+up',
	[B.M.next_section] = 'ctrl+pgdn',
	[B.M.prev_section] = 'ctrl+pgup',
	[B.T.mark_sexp] = 'ctrl+shift+right',
	[B.T.mark_sexp_backwards] = 'ctrl+shift+left',
	[B.T.mark_defun] = {'meta+P', 'ctrl+shift+down', 'ctrl+shift+up'},
	[B.T.expand_region] = 'meta+M',
	[B.T.line_end_extend] = 'shift+end',
	[B.T.home_extend] = 'shift+home',
	[B.I.split_sexp] = 'ctrl+meta+/',
	[B.I.join_sexps] = 'meta+j',
	[B.I.forward_slurp] = 'meta+.',
	[B.I.backward_barf] = 'meta+>',
	[B.I.forward_barf] = 'meta+,',
	[B.I.backward_slurp] = 'meta+<',
	[B.I.raise_sexp] = 'meta+i',
	[B.I.convolute_sexp] = 'meta+?',
	[B.I.splice_sexp] = 'ctrl+meta+\\',
	[B.I.enclose_round] = 'meta+)',
	[B.I.enclose_square] = 'meta+]',
	[B.I.enclose_curly] = 'meta+}',
	[B.I.enclose_doublequote] = 'meta+"',
	[B.I.block_comment] = 'meta+/',
	[B.I.splice_sexp_killing_forward1] = 'ctrl+meta+up',
	[B.I.splice_sexp_killing_backward1] = 'ctrl+meta+left',
	[B.I.forward_delete] = 'del',
	[B.I.backward_delete] = '\b',
	[B.I.copy] = {'ctrl+c', 'ctrl+ins'},
	[H.A.paste_reindent] = {'ctrl+v', 'meta+v'},
	[B.I.transpose_chars] = 'ctrl+t',
	[B.I.reindent_defun] = {'\t', 'shift+\t'},
	[B.I.kill1] = 'ctrl+k',
	[B.I.kill_sexp1] = false,
	[B.I.cut] = {'ctrl+x', 'shift+del'},
	[B.I.backward_kill_line1] = false,
	[B.I.backward_kill_sexp1] = false,
	[B.I.eval_defun] = 'ctrl+r',
}
end
